package com.pj.tb_shop;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.api.dto.HtShopDTO;
import com.pj.api.dto.ShopDto;
import com.pj.project4sp.SP;
import com.pj.tb_shop.vo.ShopVo;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;


/**
 * Controller: tb_shop -- 商铺(App接口)
 * @author lbl
 */
@RestController
@RequestMapping("/app/TbShop/")
public class TbShopAppController {

	/** 底层 Service 对象 */
	@Autowired
	TbShopService tbShopService;


	/** 查 - 根据id */
	@RequestMapping("getDetailById")
	public AjaxJson getDetailById(Long id){
		TbShop t = tbShopService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getAppList")
	public AjaxJson getAppList() {
		List<ShopVo> list = tbShopService.getAppList();
		return AjaxJson.getPageData(list.size(), list);
	}


}
